Subject: Re: Is volatile always verboten for FSL QE structures?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 Oct 2009 21:20:08 +1000

> Making the target of foo volatile properly rechecks the condition on
> each iteration.
> 
> OTOH my PPC box runs fine, so I'm probably missing something obvious.

Probably because the IO accessors do -both- volatile casts and
add the barriers :-) 

Ben.